Bug 85046 - MENU: Edit > Changes should be renamed for better clarity
Summary: MENU: Edit > Changes should be renamed for better clarity
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0 target:4.4.0
Keywords:
Depends on: 86252
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2014-10-15 09:47 UTC by Yousuf Philips (jay) (retired)
Modified: 2014-11-13 22:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-10-15 09:47:25 UTC
Internally Edit > Changes is known as Track Changes and i think using 'Track Changes' or 'Change Tracking' might be a more suitable label for the item.
Comment 1 Yousuf Philips (jay) (retired) 2014-10-24 00:55:53 UTC
Cor & Sophie: Whats your opinion of this?
Comment 2 Cor Nouws 2014-10-24 12:20:20 UTC
Hi Jay,

Looking at this... The submenu also offers for example "Accept or reject", "Merge documents". Is it understood if we rename "Changes" to "Track Changes"?
Need to chew on that ;)
Comment 3 Yousuf Philips (jay) (retired) 2014-10-24 13:19:15 UTC
Hi Cor,

Well everything in the submenu is Track Change related except 'Merge Documents', which i was going to suggest be moved out of the submenu next to 'Compare Documents'.
Comment 4 Cor Nouws 2014-10-24 14:05:55 UTC
(In reply to Jay Philips from comment #3)

> Well everything in the submenu is Track Change related except 'Merge
> Documents', 

Merge document is related _too_ - see the Help (index "changes;comparing to original")

Still, I need to chew longer ;)
"Accept or Reject" is handling changes, not the same as tracking them..

Is there some compelling reason that you come to this idea?
Comment 5 Yousuf Philips (jay) (retired) 2014-10-24 16:09:19 UTC
(In reply to Cor Nouws from comment #4)
> (In reply to Jay Philips from comment #3)
> 
> > Well everything in the submenu is Track Change related except 'Merge
> > Documents', 
> 
> Merge document is related _too_ - see the Help (index "changes;comparing to
> original")

Let me correct myself. 'Merge Documents' and 'Protect Records' (this needs to be renamed) are not related to 'Track Changes' but are related to 'Changes'. According to ( https://help.libreoffice.org/Common/Merge_Document ), merge document "Imports changes made to copies of the same document into the original document."

> Still, I need to chew longer ;)
> "Accept or Reject" is handling changes, not the same as tracking them..

Well 'Next Change' and 'Previous Change' is also part of handling changes.

> Is there some compelling reason that you come to this idea?

With change related items having their own separate section in the edit menu, it is worth bringing the non-track change items out of the submenu and into the main menu. This would look something like this.

- separator -
Protect Document
Track Changes >
 [...]
Merge Document
Compare Document
- separator -

Separate from this reason, other word processors use the word 'Track Changes' in their menus. MS Word 2003 and WPS Writer have it in the Tools menu, while iWork Pages has it in the Edit menu. So i think its a good idea to make it easier for migrating users to find this specific wording in our menus.
Comment 6 Yousuf Philips (jay) (retired) 2014-10-24 17:39:21 UTC
One of the main problems is that the submenu labels need to be changed to clarify what they mean. For example Edit > Changes > Show can either be changed into Edit > Track Changes > Show Change or Edit > Changes > Show Track Changes. Once i know the what will happen with this bug, i can cater the label changes going into the submenu and toolbar tooltips in bug 84406.
Comment 7 A (Andy) 2014-10-24 17:41:57 UTC
For me the expression "Track Changes" would be much better.  A few days ago I had a friend working at my computer and she told me that she could not find the track changes function, because the term "Changes" is not intuitive.

Regarding the "Merge Document" this could then maybe be ambiguous.  But maybe you can find a solution for this like for instance Jay suggested with moving it out of the menu or something else?
Comment 8 Cor Nouws 2014-10-25 09:54:49 UTC
Sorry, my bad.
After searching "changes;comparing to original" in the index, one has also to click on the link "merging versions" below the help text.. Then you can read:
" The only requirement is that the documents differ only and exclusively in the recorded changes - all other original text must be identical. "

So related to Track Changes ;)
Comment 9 Cor Nouws 2014-10-25 09:56:40 UTC
@ Jay, @Andy:

OK, fair enough: good to use Track Change then.
Comment 10 Yousuf Philips (jay) (retired) 2014-10-25 20:52:58 UTC
Patch is in - https://gerrit.libreoffice.org/#/c/12098/
Comment 11 Adolfo Jayme 2014-10-28 09:09:52 UTC
http://cgit.freedesktop.org/libreoffice/core/commit/?id=d61c55b4d11f4a4ffdf4fb75ba2e950de8ae2beb

Now it’d be cool to have the help repository updated as well...
Comment 12 Cor Nouws 2014-10-28 09:20:33 UTC
(In reply to Adolfo Jayme from comment #11)

> Now it’d be cool to have the help repository updated as well...

Yes, that came to my mind when on bike this morning... Maybe also changed menu paths ask for updating the Help?
Comment 13 Cor Nouws 2014-10-28 09:47:13 UTC
(In reply to Jay Philips from comment #10)
> Patch is in - https://gerrit.libreoffice.org/#/c/12098/

- <value xml:lang="en-US">~Accept or Reject Changes...</value>
+ <value xml:lang="en-US">~List of Changes...</value>

Why? The existing indicates the possible action...
Comment 14 Yousuf Philips (jay) (retired) 2014-10-28 15:14:02 UTC
Didnt quite get what you meant Cor.
Comment 15 Cor Nouws 2014-10-28 20:32:46 UTC
(In reply to Jay Philips from comment #14)
> Didnt quite get what you meant Cor.

I don't understand why that text is changed :)
Comment 16 Yousuf Philips (jay) (retired) 2014-10-28 20:35:53 UTC
(In reply to Cor Nouws from comment #15)
> I don't understand why that text is changed :)

Well it was changed so that both the menu and toolbar button tooltip would be easily understandable and that Writer and Calc would have the same label.

@Adolfo: Changed strings were added to the wiki.
Comment 17 Cor Nouws 2014-10-28 20:41:19 UTC
Hi jay,

(In reply to Jay Philips from comment #16)
> (In reply to Cor Nouws from comment #15)

> Well it was changed so that both the menu and toolbar button tooltip would
> be easily understandable and that Writer and Calc would have the same label.

I don't get why the new text is easier to understand then the existing one.
Also, as written before, the existing text indicates the possible action and thus provides more information to the user.

So it would be good to change the tooltip, IMO :)
Comment 18 Yousuf Philips (jay) (retired) 2014-10-28 21:17:35 UTC
Hi Cor,

(In reply to Cor Nouws from comment #17)
> I don't get why the new text is easier to understand then the existing one.
> Also, as written before, the existing text indicates the possible action and
> thus provides more information to the user.

Well firstly i wanted to unify both Writer and Calc, as writer had 'Accept or Reject' and Calc had 'Accept or Reject Changes'. I had suggested 'Changes List' and Adolfo suggested 'List of Changes'.

> So it would be good to change the tooltip, IMO :)

To my knowledge, there isnt an easy means of having separate names for the menu label and the toolbar button tooltips.
Comment 19 Cor Nouws 2014-10-28 21:56:11 UTC
(In reply to Jay Philips from comment #18)

> Well firstly i wanted to unify both Writer and Calc, as writer had 'Accept
> or Reject' and Calc had 'Accept or Reject Changes'. I had suggested 'Changes
> List' and Adolfo suggested 'List of Changes'.

Thanks for explaining how the idea came up. What about the argumentation I mention?
Is it not possible to give all the same tip/text?
Comment 20 Commit Notification 2014-10-30 12:35:20 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d5fc817b5e84cf0669725cf0ef3a94f93158f50

fdo#85046 - Calc name changes didnt show up with entries having ContextLabel

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Yousuf Philips (jay) (retired) 2014-11-03 22:26:59 UTC
(In reply to Cor Nouws from comment #19)
> Thanks for explaining how the idea came up. What about the argumentation I
> mention?
> Is it not possible to give all the same tip/text?

As i see it, the older text of 'Accept or Reject' doesnt emphasis that the dialog is focused on, presenting the full list of changes. I'm okay with whatever its called as long as its understandable in the menu and the toolbar.
Comment 22 Jan Holesovsky 2014-11-04 22:42:54 UTC
The primary functionality of this dialog is indeed accepting or rejecting changes :-)  Until recently, the toolbar for accepting/rejecting did not exist, and this was the only way; and I guess for many people still is.

We should change the List of Changes... back to Accept or Reject Changes...; but the rest are nice improvements - thanks for that! :-)

[Reopening to sort out the List of Changes... - let's talk about that in the hangout tomorrow.]
Comment 23 Yousuf Philips (jay) (retired) 2014-11-06 03:03:51 UTC
Issue was discussed in the meeting and we went with Sophie's suggestion of 'Manage Changes'. Patch submitted - https://gerrit.libreoffice.org/#/c/12271/
Comment 24 Commit Notification 2014-11-06 08:09:48 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a7c8da29f53eb5506fac56f7aab2dfa48d31c389

fdo#85046 change 'List of Changes' to 'Manage Changes' and fix accelerator key

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2014-11-11 14:20:08 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d82e55e4864258c1915dd486350a73727b8ac1f5

fdo#85046 removing extra merge document entry in the Tools menu

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Cor Nouws 2014-11-11 16:49:23 UTC
(In reply to Commit Notification from comment #25)
> Yousuf Philips committed a patch related to this issue.
> It has been pushed to "master":


Hi Jay,

This patch does something with Calc?
Comment 27 Yousuf Philips (jay) (retired) 2014-11-11 21:25:48 UTC
(In reply to Cor Nouws from comment #26)
> Hi Jay,
> 
> This patch does something with Calc?

Hi Cor,

Yes there were two 'Merge Document' entries in Calc. One in the tools menu and the other in Edit menu, so i removed the one in tools.
Comment 28 Cor Nouws 2014-11-11 22:26:17 UTC
(In reply to Jay Philips from comment #27)
> (In reply to Cor Nouws from comment #26)
> > Hi Jay,
> > 
> > This patch does something with Calc?
> 
> Hi Cor,
> 
> Yes there were two 'Merge Document' entries in Calc. One in the tools menu
> and the other in Edit menu, so i removed the one in tools.

Are you sure that the Merge document from Tools is the same as the Merge document that is in the Edit menu (and that has been removed sub menu (erroneously IMO, in any way in Writer is belongs in the sub menu!)
See my comment #8

Ciao,
Cor
Comment 29 Cor Nouws 2014-11-11 22:42:09 UTC
(In reply to Cor Nouws from comment #28)

> Are you sure that the Merge document from Tools is the same as the Merge
> document that is in the Edit menu

 Ah yes, it is.

> (and that has been removed sub menu
> (erroneously IMO, in any way in Writer is belongs in the sub menu!)
> See my comment #8

Did you check this?

Ohh.. I see now that in Writer the Merge Document has been removed from the sub-menu. Can you pls revert that in Writer any way?

And let's check if the same applies for Calc.

Cheers
Comment 30 Yousuf Philips (jay) (retired) 2014-11-12 17:04:49 UTC
(In reply to Cor Nouws from comment #29)
> > (and that has been removed sub menu
> > (erroneously IMO, in any way in Writer is belongs in the sub menu!)
> > See my comment #8
> 
> Did you check this?

Yes i had checked it.

> Ohh.. I see now that in Writer the Merge Document has been removed from the
> sub-menu. Can you pls revert that in Writer any way?

The point of pulling it out of the submenu was to bring more emphasis to it by having it as a main entry in the changes section (it was a main entry in the Tools menu), as well as to separate it from the regular track changes options.
Comment 31 Cor Nouws 2014-11-12 17:44:00 UTC
(In reply to Jay Philips from comment #30)

> The point of pulling it out of the submenu was to bring more emphasis to it
> by having it as a main entry in the changes section (it was a main entry in
> the Tools menu), as well as to separate it from the regular track changes
> options.

Sorry but you're missing the point :)
It is a regular "track changes" action.
Comment 32 Yousuf Philips (jay) (retired) 2014-11-12 20:50:28 UTC
(In reply to Cor Nouws from comment #31)
> Sorry but you're missing the point :)
> It is a regular "track changes" action.

I do understand that it is a 'track change' action, but that doesnt mean that it needs to be under the submenu. I had discussed this at the design meeting and people were fine with the change. Maybe you can bring it up at next week's meeting if you still feel that it needs more discussing. :D
Comment 33 Cor Nouws 2014-11-12 23:04:38 UTC
(In reply to Jay Philips from comment #32)
> (In reply to Cor Nouws from comment #31)
> > Sorry but you're missing the point :)
> > It is a regular "track changes" action.
> 
> I do understand that it is a 'track change' action, but that doesnt mean

You were not in your comment #31 ..

> that it needs to be under the submenu. I had discussed this at the design
> meeting and people were fine with the change. Maybe you can bring it up at
> next week's meeting if you still feel that it needs more discussing. :D

so I doubt if the people there had proper insight in the situation. So yes, I think this needs to be looked at again.
Comment 34 sophie 2014-11-13 11:05:03 UTC
(In reply to Cor Nouws from comment #33)
> (In reply to Jay Philips from comment #32)
> > (In reply to Cor Nouws from comment #31)
> > > Sorry but you're missing the point :)
> > > It is a regular "track changes" action.
> > 
> > I do understand that it is a 'track change' action, but that doesnt mean
> 
> You were not in your comment #31 ..
> 
> > that it needs to be under the submenu. I had discussed this at the design
> > meeting and people were fine with the change. Maybe you can bring it up at
> > next week's meeting if you still feel that it needs more discussing. :D
> 
> so I doubt if the people there had proper insight in the situation. So yes,
> I think this needs to be looked at again.

This function is about to add all changes made by others in different documents to the original document. Note that if text out of registered changes is modified, the merge will fail, so I agree that it's completely related to changes tracking.
However, the way it's presented now near Compare document, will make the user ask him the difference between Merge and Compare. So, I support the idea to remove it from the submenu, it makes the submenu clearer and emphasize the Merge function. If the Help reflect the new position, this change is good and will benefit users. Sophie
Comment 35 Cor Nouws 2014-11-13 11:53:00 UTC
(In reply to sophie from comment #34)

> This function is about to add all changes made by others in different
> documents to the original document. Note that if text out of registered
> changes is modified, the merge will fail, so I agree that it's completely
> related to changes tracking.

Indeed.

> However, the way it's presented now near Compare document, will make the
> user ask him the difference between Merge and Compare. 

Ah.. I always thought the UI was not meant to give puzzles to the user, but to give guidance.

Merge and Compare both open the same window.
But Merge will result in nothing happening, when used improperly, not in combination with tracked changes.

Come one pls. This error was introduced due to insufficient understanding of the function on the first place. No problem, can happen, I make errors all day long :) But then come back on it (or whatever the proper English saying for that is...)
Comment 36 Cor Nouws 2014-11-13 14:23:34 UTC
I'll file an official protest ;)
Comment 37 Yousuf Philips (jay) (retired) 2014-11-13 15:28:44 UTC
(In reply to Cor Nouws from comment #36)
> I'll file an official protest ;)

As you have already made the change in bug 86252. Lets just close it at that. :D
Comment 38 Cor Nouws 2014-11-13 15:32:40 UTC
(In reply to Jay Philips from comment #37)

> As you have already made the change in bug 86252. Lets just close it at
> that. :D

Thanks Jay. In the end, code is the only way to officially protest, isn't it ;)
I wouldn't have expected it to go that fast after submitting though ...
Comment 39 Yousuf Philips (jay) (retired) 2014-11-13 17:14:25 UTC
Just to clarify.

(In reply to Cor Nouws from comment #33)
> You were not in your comment #31 ..

Comment 31 is yours. :D
I had a different understanding in comment 5, but you clarified it in comment 8, but still felt that having it in the main menu would be good as it would make the changes section larger than just 2, it emphasizes the function more as it is listed in the main menu, and it looks good next to the similarly named 'Compare Document', which is related to track changes as it opens the 'Accept or Reject Changes' dialog.

> so I doubt if the people there had proper insight in the situation. So yes,
> I think this needs to be looked at again.

Well kendy uses track changes and was one who preferred the old 'Accept or Reject' name change (comment 22), so i'm assuming he would have had some knowledge of Merge Documents.

(In reply to Cor Nouws from comment #38)
> Thanks Jay. In the end, code is the only way to officially protest, isn't it
> ;)

Well it wasnt something that i was going to fight tooth and nail about, so if your that adamant on it, i'm fine with it. ;)
Comment 40 Cor Nouws 2014-11-13 17:33:29 UTC
Hi Jay,

(In reply to Jay Philips from comment #39)
> Just to clarify.

Thanks, The discussion/info was not always that clear from my side too.

> [...]
> Well it wasnt something that i was going to fight tooth and nail about, so
> if your that adamant on it, i'm fine with it. ;)

Yes sometimes some inflexible sides of my character pop up ;)
Hope we won't see them too much :)
Comment 41 Yousuf Philips (jay) (retired) 2014-11-13 22:49:59 UTC
(In reply to sophie from comment #34)
> This function is about to add all changes made by others in different
> documents to the original document. Note that if text out of registered
> changes is modified, the merge will fail, so I agree that it's completely
> related to changes tracking.

Sorry i hadnt read your comment earlier, i must have mistakenly skipped over it with so many comments arriving in my inbox. :D

> However, the way it's presented now near Compare document, will make the
> user ask him the difference between Merge and Compare. So, I support the
> idea to remove it from the submenu, it makes the submenu clearer and
> emphasize the Merge function. If the Help reflect the new position, this
> change is good and will benefit users. Sophie

Yes it was my intent to make the submenu clearer by limiting it to things that were related to the adding and reviewing of track changes and it was strange seeing the 'Merge Document' at the bottom of the submenu in a section all by itself.

I think maybe the item should be renamed to better emphasize what it really is, which is of merging track changes made on the same document by multiple people, so maybe 'Merge Other Changes...' might be a more suitable name.